OtpNodeStatus (Java-Erlang Interface Library)

Package com.ericsson.otp.erlang

## Class OtpNodeStatus

- java.lang.Object
- - com.ericsson.otp.erlang.OtpNodeStatus

-     public class OtpNodeStatus
      extends java.lang.Object

  Provides a callback mechanism for receiving status change information about other nodes in the system. Register an instance of this class (or a subclass) with your `OtpNode` when you wish to be notified about such status changes and other similar events.

  This class provides default handers that ignore all events. Applications are expected to extend this class in order to act on events that are deemed interesting.

  Note that this class is likely to change in the near future

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtpNodeStatus()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `connAttempt​(java.lang.String node, boolean incoming, java.lang.Object info)` | Notify about failed connection attempts.
    `void` | `localStatus​(java.lang.String node, boolean up, java.lang.Object info)` | Notify about local node exceptions.
    `void` | `remoteStatus​(java.lang.String node, boolean up, java.lang.Object info)` | Notify about remote node status changes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtpNodeStatus

          public OtpNodeStatus()

  - ### Method Detail

    - #### remoteStatus

          public void remoteStatus​(java.lang.String node,
                                   boolean up,
                                   java.lang.Object info)

      Notify about remote node status changes.
      Parameters:
        `node` - the node whose status change is being indicated by this call.
        `up` - true if the node has come up, false if it has gone down.
        `info` - additional info that may be available, for example an exception that was raised causing the event in question (may be null).

    - #### localStatus

          public void localStatus​(java.lang.String node,
                                  boolean up,
                                  java.lang.Object info)

      Notify about local node exceptions.
      Parameters:
        `node` - the node whose status change is being indicated by this call.
        `up` - true if the node has come up, false if it has gone down.
        `info` - additional info that may be available, for example an exception that was raised causing the event in question (may be null).

    - #### connAttempt

          public void connAttempt​(java.lang.String node,
                                  boolean incoming,
                                  java.lang.Object info)

      Notify about failed connection attempts.
      Parameters:
        `node` - The name of the remote node
        `incoming` - The direction of the connection attempt, i.e. true for incoming, false for outgoing.
        `info` - additional info that may be available, for example an exception that was raised causing the event in question (may be null).